import { defHttp } from '/@/utils/http/axios';

// 查询流程监听列表
export function listListener(query) {
  return defHttp({
    url: '/system/listener/list',
    method: 'get',
    params: query
  })
}

// 查询流程监听详细
export function getListener(id) {
  return defHttp({
    url: '/system/listener/' + id,
    method: 'get'
  })
}

// 新增流程监听
export function addListener(data) {
  return defHttp({
    url: '/system/listener',
    method: 'post',
    data: data
  })
}

// 修改流程监听
export function updateListener(data) {
  return defHttp({
    url: '/system/listener',
    method: 'put',
    data: data
  })
}

// 删除流程监听
export function delListener(id) {
  return defHttp({
    url: '/system/listener/' + id,
    method: 'delete'
  })
}
